Name:                lastpass-cli
Version:             1.5.0
Release:             1
Summary:             Command line interface to LastPass.com
License:             GPLv2
URL:                 https://github.com/LastPass/lastpass-cli
Source0:             %{url}/archive/v%{version}/lastpass-cli-%{version}.tar.gz
Patch0:              lastpass-cli-1.3.1-remove_reallocarray.patch
BuildRequires:       cmake gcc gcc-c++ openssl-devel libxml2-devel libcurl-devel asciidoc
Requires:            pinentry xclip
%description
A command line interface to LastPass.com.

%prep
%autosetup -p1

%build
%cmake .
%make_build

%install
%make_install install-doc
install -Dpm0644 contrib/lpass_bash_completion \
    %{buildroot}%{_datadir}/bash-completion/completions/lpass-completion.bash
install -Dpm0644 contrib/completions-lpass.fish \
    %{buildroot}%{_datadir}/fish/vendor_functions.d/lpass.fish
install -Dpm0644 contrib/lpass_zsh_completion \
    %{buildroot}%{_datadir}/zsh/site-functions/_lpass

%files
%license COPYING
%license LICENSE.OpenSSL
%doc README.md
%doc CONTRIBUTING
%doc contrib/examples
%{_bindir}/lpass
%{_mandir}/man1/lpass.1.*
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/lpass-completion.bash
%dir %{_datadir}/fish/vendor_functions.d
%{_datadir}/fish/vendor_functions.d/lpass.fish
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_lpass

%changelog
* Wed Jul 31 2024 Ge Wang <wang__ge@126.com> - 1.5.0-1
- Upgrade package to 1.5.0

* Wed Mar 20 2024 maqi <maqi@uniontech.com> - 1.3.7-1
- Upgrade package to 1.3.7

* Tue Apr 11 2023 xu_ping <707078654@qq.com> - 1.3.4-1
- Upgrade package to 1.3.4

* Tue Sep 7 2021 zhengyaohui <zhengyaohui1@huawei.com> - 1.3.3-1
- package init
